Retrieve User's by pagination
Retrieves User's data using the specified pagination parameters.
Retrieves User's data using the specified pagination parameters.
apikey<token>
Tenant API Key for authentication
In: query
apisecret<token>
Tenant API Secret for authentication
In: query
Query Parameters
next?string
Scroll or pagination token for fetching the next set of results. This token is used to retrieve the next page of results in a paginated response. If not provided, the API will return the first page of results.
region?string
The region to filter results by.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://cloud-api.loginradius.com/identity?next=DXF1ZXJ5QW5kRmV0Y2gBAAAAAAAABXcWem...®ion=us-east-1"{
"data": [
{
"AppName": "myApp",
"Uid": "123456",
"ID": "abcde",
"Provider": "google",
"Prefix": "Mr.",
"FirstName": "John",
"MiddleName": "A.",
"LastName": "Doe",
"Suffix": "Jr.",
"FullName": "John A. Doe",
"NickName": "Johnny",
"ProfileName": "johnnydoe",
"BirthDate": "1990-01-01",
"Gender": "male",
"Website": "https://johndoe.com",
"Email": "john@example.com",
"Country": "USA",
"ThumbnailImageUrl": "https://example.com/thumb.jpg",
"ImageUrl": "https://example.com/image.jpg",
"Favicon": "https://example.com/favicon.ico",
"ProfileUrl": "https://example.com/profile",
"HomeTown": "New York",
"State": "NY",
"City": "New York",
"Industry": "Software",
"About": "Software engineer with 10 years of experience.",
"TimeZone": "America/New_York",
"LocalLanguage": "en",
"CoverPhoto": "https://example.com/cover.jpg",
"TagLine": "Keep it simple.",
"Language": "en",
"Verified": "true",
"UpdatedTime": "2023-01-01T12:00:00Z",
"Positions": [],
"Educations": [],
"PhoneNumbers": [],
"IMAccounts": [],
"Addresses": [],
"MainAddress": "123 Main St",
"Created": "2020-01-01T00:00:00Z",
"CreatedDate": "2020-01-01T00:00:00Z",
"ModifiedDate": "2021-01-01T00:00:00Z",
"ProfileModifiedDate": "2021-06-01T00:00:00Z",
"LocalCity": "Brooklyn",
"ProfileCity": "Manhattan",
"LocalCountry": "USA",
"ProfileCountry": "USA",
"FirstLogin": false,
"IsProtected": false,
"RelationshipStatus": "single",
"Quota": "unlimited",
"InterestedIn": [
"sports",
"music"
],
"Interests": [],
"Religion": "None",
"Political": "Independent",
"Sports": [],
"InspirationalPeople": [],
"HttpsImageUrl": "https://example.com/image.jpg",
"FollowersCount": 100,
"FriendsCount": 50,
"IsGeoEnabled": "true",
"TotalStatusesCount": 200,
"Associations": "IEEE",
"NumRecommenders": 5,
"Honors": "Best Developer",
"Awards": [],
"Skills": [],
"CurrentStatus": "Active",
"Certifications": [],
"Courses": [],
"Volunteer": [],
"RecommendationsReceived": [],
"Languages": [],
"Projects": [],
"Games": [],
"Family": [],
"TeleVisionShow": [],
"MutualFriends": [],
"Movies": [],
"Books": [],
"AgeRange": "18-25",
"PublicRepository": "https://github.com/johndoe",
"Hireable": true,
"RepositoryUrl": "https://github.com/johndoe",
"Age": 30,
"Patents": [],
"FavoriteThings": [],
"ProfessionalHeadline": "Senior Software Engineer",
"RelatedProfileViews": [],
"KloutScore": 55.5,
"LRUserID": "lr_123456",
"PlacesLived": [],
"Publications": [],
"JobBookmarks": [],
"Suggestions": [],
"Badges": [],
"MemberUrlResources": [],
"TotalPrivateRepository": 2,
"Currency": "USD",
"StarredUrl": "https://github.com/johndoe/starred",
"GistsUrl": "https://gist.github.com/johndoe",
"PublicGists": 10,
"PrivateGists": 5,
"Subscription": "premium",
"Company": "Acme Corp",
"GravatarImageUrl": "https://www.gravatar.com/avatar/abc123",
"ProfileImageUrls": [],
"WebProfiles": [],
"PinsCount": 12,
"BoardsCount": 3,
"LikesCount": 100,
"EmailVerifiedFromSocial": true,
"SignupDate": "2020-01-01T00:00:00Z",
"LastLoginDate": "2023-01-01T00:00:00Z",
"CustomFields": {},
"LastPasswordChangeDate": "2023-01-01T00:00:00Z",
"PasswordExpirationDate": "2023-12-31T00:00:00Z",
"LastPasswordChangeToken": "token123",
"EmailVerified": true,
"IsActive": true,
"IsDeleted": false,
"IsEmailSubscribed": true,
"UserName": "johndoe",
"NoOfLogins": 20,
"PreviousUids": [
"oldUID1",
"oldUID2"
],
"PhoneId": "phone123",
"PhoneIdVerified": true,
"Roles": [
"admin",
"user"
],
"ExternalUserLoginId": "extlogin123",
"FailedLoginAttempt": 0,
"SecurityQuestionFailedResetPasswordAttempts": 0,
"SecurityQuestionFailedLoginAttempt": 0,
"DisableLogin": false,
"RegistrationProvider": "google",
"IsLoginLocked": false,
"LoginLockedType": "temporary",
"LastLoginLocation": "New York",
"RegistrationSource": "web",
"IsCustomUid": false,
"UnverifiedEmail": "unverified@example.com",
"RoleContext": {},
"KnownLoginVariables": {},
"IsSecurePassword": true,
"PrivacyPolicy": {},
"LoginLockedTimeout": "2023-01-01T01:00:00Z",
"ExternalIds": {},
"IsRequiredFieldsFilledOnce": true,
"SignupLog": {},
"LastAcceptedConsentVersion": 1,
"user_agent": "Mozilla/5.0"
}
],
"next": "DXF1ZXJ5QW5kRmV0Y2gBAAAAAAAABXcWem..."
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly in the request, please check all the parameters in the API call.",
"Description": "The apikey is a required parameter,The apisecret is a required parameter."
}{
"ErrorCode": 909,
"Message": "Your LoginRadius site does not have permission to access this endpoint",
"Description": "Your LoginRadius site does not have permission to access this endpoint, please contact LoginRadius support for more information."
}{
"ErrorCode": 1043,
"Message": "Pass a valid next param",
"Description": "The next param is missing. Please start with a POST request to get next value."
}